Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
files
List Files
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "title": "<string>",
        "description": "<string>",
        "folder_id": "<string>",
        "media_id": "<string>",
        "mime_type": "<string>",
        "size_bytes": 123,
        "status_transcode": "<string>",
        "status_transcribe": "<string>",
        "status_upload": "<string>",
        "variants": {},
        "variants_expires_at": "2023-11-07T05:31:56Z",
        "visibility": "<string>"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Query Parameters

page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

Collection JSON:API response wrapping a list of FileResources.

data
JsonApiResource[FileAttributes] · object[]
required
included
any[] | null
meta
Meta · object